Bug 204973 - extending a full snapshot should cause it's Snap% to decrease
extending a full snapshot should cause it's Snap% to decrease
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
:
Depends On: 178979
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 15:42 EDT by Corey Marthaler
Modified: 2008-10-06 11:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 11:59:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-09-01 15:42:19 EDT
Description of problem:
I filled up a small (25M) snapshot and then increased its size a few times until
it was 60G (much bigger then even the origin volume), yet the "Snap%" remained
the same after each extend. 

[root@taft-04 ~]# lvextend -L 30M /dev/snapper/snap3
  Rounding up size to full physical extent 32.00 MB
  Extending logical volume snap3 to 32.00 MB
  Logical volume snap3 successfully resized
[root@taft-04 ~]# lvs -a -o +devices
  LV     VG      Attr   LSize   Origin Snap%  Move Log Copy%  Devices
  origin snapper owi-a- 100.00M                               /dev/sdb1(0)
  snap3  snapper Swi-I-  32.00M origin 100.00                 /dev/sdb2(0)
[root@taft-04 ~]# lvextend -L 50M /dev/snapper/snap3
  Rounding up size to full physical extent 52.00 MB
  Extending logical volume snap3 to 52.00 MB
  Logical volume snap3 successfully resized
[root@taft-04 ~]# lvs -a -o +devices
  LV     VG      Attr   LSize   Origin Snap%  Move Log Copy%  Devices
  origin snapper owi-a- 100.00M                               /dev/sdb1(0)
  snap3  snapper Swi-I-  52.00M origin 100.00                 /dev/sdb2(0)
[root@taft-04 ~]# lvextend -L 60G /dev/snapper/snap3
  Extending logical volume snap3 to 60.00 GB
  Logical volume snap3 successfully resized
[root@taft-04 ~]# lvs -a -o +devices
  LV     VG      Attr   LSize   Origin Snap%  Move Log Copy%  Devices
  origin snapper owi-a- 100.00M                               /dev/sdb1(0)
  snap3  snapper Swi-I-  60.00G origin 100.00                 /dev/sdb2(0)


[root@taft-04 ~]# dmsetup info -c
Name             Maj Min Stat Open Targ Event  UUID
snapper-snap3    253   5 L--w    0    1      2
LVM-5g3csncVwEokS8H9X52JAFVnAvgGIFkeif2N7DQmRikzj6UIVeJACNphj2CvZqsV
snapper-origin-real 253   2 L--w    2    1      0
LVM-5g3csncVwEokS8H9X52JAFVnAvgGIFkefbF8h4B0p3BwT8v31nfns6blzJwiv9RJ-real
VolGroup00-LogVol01 253   1 L--w    1    1      0
LVM-zUByyTfjW0kZbVav84sw7MJSW2JYnqw5UsN964on4p3rGGX2nMO3T4sYHE3TnkhP
VolGroup00-LogVol00 253   0 L--w    1    1      0
LVM-zUByyTfjW0kZbVav84sw7MJSW2JYnqw5ic586KqB9N623SZmXmWa54kFJ3nZM693
snapper-origin   253   3 L--w    0    1      0
LVM-5g3csncVwEokS8H9X52JAFVnAvgGIFkefbF8h4B0p3BwT8v31nfns6blzJwiv9RJ
snapper-snap3-cow 253   4 L--w    1    1      1
LVM-5g3csncVwEokS8H9X52JAFVnAvgGIFkeif2N7DQmRikzj6UIVeJACNphj2CvZqsV-cow


Version-Release number of selected component (if applicable):
[root@taft-04 ~]# rpm -q lvm2
lvm2-2.02.06-6.0.RHEL4
[root@taft-04 ~]# rpm -q device-mapper
device-mapper-1.02.07-4.0.RHEL4


How reproducible:
everytime
Comment 1 Corey Marthaler 2008-01-02 15:47:13 EST
Just a note that this bug still exists.

2.6.9-67.ELsmp
device-mapper-1.02.21-1.el4
lvm2-2.02.27-2.el4_6.1

[root@taft-04 ~]# lvs -a -o +devices
  LV       VG         Attr   LSize  Origin Snap%  Move Log Copy%  Devices
  LogVol00 VolGroup00 -wi-ao 66.16G                               /dev/sda2(0)
  LogVol01 VolGroup00 -wi-ao  1.94G                               /dev/sda2(2117)
  origin   corey      owi-a- 10.00G                               /dev/sdb1(0)
  snap1    corey      swi-a- 28.00M origin   0.06                 /dev/sdc1(0)
[root@taft-04 ~]# dd if=/dev/zero of=/dev/corey/snap1
722521+0 records in
722520+0 records out

[root@taft-04 ~]# lvs -a -o +devices
  LV       VG         Attr   LSize  Origin Snap%  Move Log Copy%  Devices
  LogVol00 VolGroup00 -wi-ao 66.16G                               /dev/sda2(0)
  LogVol01 VolGroup00 -wi-ao  1.94G                               /dev/sda2(2117)
  origin   corey      owi-a- 10.00G                               /dev/sdb1(0)
  snap1    corey      Swi-I- 28.00M origin 100.00                 /dev/sdc1(0)
[root@taft-04 ~]# lvextend -L 100M /dev/corey/snap1
  Extending logical volume snap1 to 100.00 MB
  Logical volume snap1 successfully resized
[root@taft-04 ~]# lvs -a -o +devices
  LV       VG         Attr   LSize   Origin Snap%  Move Log Copy%  Devices
  LogVol00 VolGroup00 -wi-ao  66.16G                               /dev/sda2(0)
  LogVol01 VolGroup00 -wi-ao   1.94G                               /dev/sda2(2117)
  origin   corey      owi-a-  10.00G                               /dev/sdb1(0)
  snap1    corey      Swi-I- 100.00M origin 100.00                 /dev/sdc1(0)
Comment 2 RHEL Product and Program Management 2008-01-02 15:55:28 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 RHEL Product and Program Management 2008-09-05 13:17:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Petr Rockai 2008-10-06 11:59:50 EDT
This has been postponed to RHEL 5.4 or later and the problem does not seem to be very high priority either. Therefore, it is very unlikely to be addressed in RHEL 4. I'll close the bug as WONTFIX now. Please consult #427298 for RHEL 5 equivalent of this bug.

Note You need to log in before you can comment on or make changes to this bug.